<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="center_horizontal"
    android:orientation="vertical">


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_f6aab0_white"
        android:gravity="center_horizontal"
        android:orientation="vertical"
        android:paddingBottom="40dp">

        <ImageView
            android:layout_width="130dp"
            android:layout_height="130dp"
            android:layout_marginTop="120dp"
            android:src="@mipmap/logo_small" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="24dp"
            android:text="@string/app_name"
            android:textColor="@color/black"
            android:textSize="20sp"
            android:textStyle="bold" />
    </LinearLayout>


    <LinearLayout
        android:id="@+id/llConsent"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="33dp"
        android:background="@drawable/bg_fbfbfb_20"
        android:gravity="center_horizontal"
        android:orientation="vertical"
        android:padding="18dp">


        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            tools:ignore="UseCompoundDrawables">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:src="@mipmap/essentiona"
                tools:ignore="ContentDescription" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="8dp"
                android:text="Consent Required"
                android:textColor="#000000"
                android:textSize="13sp"
                android:textStyle="bold"
                tools:ignore="HardcodedText" />

        </LinearLayout>

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="150dp"
            android:layout_marginTop="12dp">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/consent"
                android:textColor="@color/black"
                android:textSize="13sp" />
        </ScrollView>


    </LinearLayout>

    <View
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1" />

    <LinearLayout
        android:id="@+id/ll_progress"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="49dp"
        android:gravity="center_horizontal"
        android:orientation="vertical"
        android:visibility="gone">

        <ProgressBar
            android:id="@+id/pb"
            style="@style/Widget.AppCompat.ProgressBar.Horizontal"
            android:layout_width="match_parent"
            android:layout_height="10dp"
            android:layout_marginHorizontal="32dp"
            android:layout_marginTop="5dp"
            android:max="100"
            android:progressDrawable="@drawable/shape_splash_s"
            tools:progress="50" />

        <TextView
            android:id="@+id/tv_load"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="18dp"
            android:text="Loading..."
            android:textColor="#000000"
            android:textSize="15sp"
            tools:ignore="HardcodedText" />

        <TextView
            android:id="@+id/tv_ad_des"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="42dp"
            android:text="This process may involve ad."
            android:textColor="#000000"
            android:textSize="15sp"
            tools:ignore="HardcodedText" />

    </LinearLayout>

    <LinearLayout
        android:id="@+id/ll_start"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="40dp"
        android:orientation="vertical">

        <TextView
            android:id="@+id/id_tv_start"
            android:layout_width="match_parent"
            android:layout_height="54dp"
            android:layout_marginHorizontal="57dp"
            android:layout_marginBottom="14dp"
            android:background="@drawable/bg_fa193b_fd4912_10"
            android:gravity="center"
            android:text="START TO USE"
            android:textColor="@color/white"
            android:textSize="16sp"
            android:visibility="visible"
            tools:ignore="HardcodedText" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="4dp"
                android:text="By continuing you are agreeing to the"
                android:textColor="@color/black"
                android:textSize="14sp"
                tools:ignore="HardcodedText" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text=" &amp; "
                android:visibility="gone"
                tools:ignore="HardcodedText" />

            <TextView
                android:id="@+id/id_tv_privacy_policy"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Privacy Policy"
                android:textColor="@color/color_primary"
                android:textSize="14sp"
                android:textStyle="bold"
                tools:ignore="HardcodedText" />

        </LinearLayout>
    </LinearLayout>


</androidx.appcompat.widget.LinearLayoutCompat>